# gpt4free

收集,逆向工程 gpt4 API

https://chat.chatbot.sex/chat/

## Usage

`pip3 install -r requirements.txt`
To start gpt4free GUI
move streamlit_app.py from ./gui to the base folder
then run:
`streamlit run streamlit_app.py` or python3 -m streamlit run streamlit_app.py

Docker
Build

`docker build -t gpt4free:latest -f Docker/Dockerfile .`
Run

`docker run -p 8501:8501 gpt4free:latest`

## 原理分析

下面这些网站提供免费无需登录的gpt4使用， gpt4free 调用这些网站的接口实现free

| Website s                                            | Model(s)                         |
| ---------------------------------------------------- | -------------------------------- |
| [forefront.ai](https://chat.forefront.ai/)           | GPT-4/3.5                        |
| [poe.com](https://poe.com/)                          | GPT-4/3.5                        |
| [writesonic.com](https://writesonic.com/)            | GPT-3.5 / Internet               |
| [t3nsor.com](https://t3nsor.com/)                    | GPT-3.5                          |
| [you.com](https://you.com/)                          | GPT-3.5 / Internet / good search |
| [sqlchat.ai](https://sqlchat.ai/)                    | GPT-3.5                          |
| [chat.openai.com/chat](https://chat.openai.com/chat) | GPT-3.5                          |
| [bard.google.com](https://bard.google.com/)          | custom / search                  |
| [bing.com/chat](https://bing.com/chat)               | GPT-4/3.5                        |
| [chat.forefront.ai/](https://chat.forefront.ai/)     | GPT-4/3.5                        |


